Debian Bug report logs - #358482
RM: arla -- RoQA; orphaned, RC-buggy, OpenAFS is an alternative

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Brian May <bam@debian.org>

Date: Wed, 22 Mar 2006 21:48:21 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#358482; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Brian May <bam@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Brian May <bam@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: arla
Date: Thu, 23 Mar 2006 08:41:42 +1100
Package: wnpp
Severity: normal

Mikael no longer has time to maintain this package:

    Mikael> I'm nearly Missing In Action, I don't have any time to
    Mikael> take care of my debian packages, I have got real a baby to
    Mikael> take care of instead :-)

Arla has a number of release critcal bugs:

    Mikael> Arla should need a rebuild against your newer heimdal-dev
    Mikael> package, and when that's done it will probably not depend
    Mikael> on krb4 anymor

Presumably this will fix the majority of the release critical bugs.

(I have just filled a bug report against ftp.debian.org asking krb4 to be
removed from Debian.)

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (50, 'unstable')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.8-pegasos
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)



Changed Bug title. Request was from AnĂ­bal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#358482; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 358482@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: debian-qa@lists.debian.org
Cc: control@bugs.debian.org, 358482@bugs.debian.org
Subject: RM: arla -- RoQA; orphaned, RC-buggy, OpenAFS is an alternative
Date: Sat, 19 Aug 2006 14:35:59 +0200
retitle 358482 RM: arla -- RoQA; orphaned, RC-buggy, OpenAFS is an alternative
reassign 358482 ftp.debian.org
thanks

I think we should remove arla.

  * Orphaned for 5 months.
  * 5 RC bugs, 16 bugs total.
  * openafs-client et al. provide equivalent functionality; most of
    the differences seem to be behind the scenes.  See discussion at:
    <http://www.openafs.org/pipermail/openafs-info/2005-December/020470.html>
    <http://www.openafs.org/pipermail/openafs-info/2005-December/020655.html>
  * Already removed from testing.
  * popcon: 218 installs, 191 votes.

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#358482; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #21 received at 358482@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: debian-qa@lists.debian.org, 358482@bugs.debian.org
Subject: Re: RM: arla -- RoQA; orphaned, RC-buggy, OpenAFS is an alternative
Date: Sat, 19 Aug 2006 07:14:21 -0700
Matej Vela <vela@debian.org> writes:

> retitle 358482 RM: arla -- RoQA; orphaned, RC-buggy, OpenAFS is an alternative
> reassign 358482 ftp.debian.org
> thanks

> I think we should remove arla.

>   * Orphaned for 5 months.
>   * 5 RC bugs, 16 bugs total.
>   * openafs-client et al. provide equivalent functionality; most of
>     the differences seem to be behind the scenes.  See discussion at:
>     <http://www.openafs.org/pipermail/openafs-info/2005-December/020470.html>
>     <http://www.openafs.org/pipermail/openafs-info/2005-December/020655.html>
>   * Already removed from testing.
>   * popcon: 218 installs, 191 votes.

I'd generally recommend people use OpenAFS instead of Arla on Linux (Arla
is more useful on the *BSD systems where there isn't an OpenAFS port), but
if anyone is interested in this one, note that nearly all of the RC bugs
would probably go away just by packaging the current version.  Upstream is
very active; the current version (0.43 -- Debian has 0.36.2) was released
June 8th.

I'm happy to sponsor uploads of Arla although I don't use it personally.
I'm happy to see more AFS software in Debian.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Brian May <bam@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 358482-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 358482-close@bugs.debian.org
Cc: arla@packages.debian.org, arla@packages.qa.debian.org
Subject: Bug#358482: fixed
Date: Sat, 09 Sep 2006 10:42:53 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

      arla | 0.36.2-11.1 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
  arla-dev | 0.36.2-11.1 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
arla-modules-source | 0.36.2-11.1 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 358482@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 03:31:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:05:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.